<?php

namespace common\logic\Setting;

use common\logic\AbstractRepositoryQuery;

class SettingRepositoryQuery extends AbstractRepositoryQuery
{
    protected SettingDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(SettingDefinition::class);
    }

    public function filterByName(string $name): self
    {
        $this->andWhere(['name' => $name]);
        return $this;
    }
}